/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.provider;

import org.apache.tuscany.sca.definitions.SCADefinitions;

/**
 * Models a provider of SCA Definitions.  Typically SCA Definitions providers 
 * may either load a definitions.xml file or create the SCA Definitions model
 * programmatically.
 *
 * @version $Rev: 655921 $ $Date: 2008-05-13 16:45:54 +0100 (Tue, 13 May 2008) $
 */
public interface SCADefinitionsProvider {
    SCADefinitions getSCADefinition() throws SCADefinitionsProviderException ;
}
