/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.runtime.tomcat;

import javax.servlet.Servlet;

import org.apache.catalina.core.StandardWrapper;

/**
 * Override the StandardWrapper so that Servlets are not instantiated from the 
 * class name but just the instance Tuscany passes in the constructor is always used.  
 *
 * @version $Rev: 685532 $ $Date: 2008-08-13 14:03:50 +0100 (Wed, 13 Aug 2008) $
 */
public class TuscanyWrapper extends StandardWrapper {
    private static final long serialVersionUID = 1L;

    private final Servlet servlet;

    public TuscanyWrapper(Servlet servlet) {
        super();
        this.servlet = servlet;
    }

    @Override
    public synchronized Servlet loadServlet() {
        return servlet;
    }

    @Override
    public Servlet getServlet() {
        return servlet;
    }
}