/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package com.example.weather;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.3-b02-
 * Generated source version: 2.1
 * 
 */
@WebService(name = "WeatherForecastSoap", targetNamespace = "http://www.webservicex.net")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface WeatherForecastSoap {


    /**
     * Get one week weather forecast for a valid Zip Code(USA)
     * 
     * @param zipCode
     * @return
     *     returns com.example.weather.WeatherForecasts
     */
    @WebMethod(operationName = "GetWeatherByZipCode", action = "http://www.webservicex.net/GetWeatherByZipCode")
    @WebResult(name = "GetWeatherByZipCodeResult", targetNamespace = "http://www.webservicex.net")
    @RequestWrapper(localName = "GetWeatherByZipCode", targetNamespace = "http://www.webservicex.net", className = "com.example.weather.GetWeatherByZipCode")
    @ResponseWrapper(localName = "GetWeatherByZipCodeResponse", targetNamespace = "http://www.webservicex.net", className = "com.example.weather.GetWeatherByZipCodeResponse")
    public WeatherForecasts getWeatherByZipCode(
        @WebParam(name = "ZipCode", targetNamespace = "http://www.webservicex.net")
        String zipCode);

    /**
     * Get one week  weather forecast for a place name(USA)
     * 
     * @param placeName
     * @return
     *     returns com.example.weather.WeatherForecasts
     */
    @WebMethod(operationName = "GetWeatherByPlaceName", action = "http://www.webservicex.net/GetWeatherByPlaceName")
    @WebResult(name = "GetWeatherByPlaceNameResult", targetNamespace = "http://www.webservicex.net")
    @RequestWrapper(localName = "GetWeatherByPlaceName", targetNamespace = "http://www.webservicex.net", className = "com.example.weather.GetWeatherByPlaceName")
    @ResponseWrapper(localName = "GetWeatherByPlaceNameResponse", targetNamespace = "http://www.webservicex.net", className = "com.example.weather.GetWeatherByPlaceNameResponse")
    public WeatherForecasts getWeatherByPlaceName(
        @WebParam(name = "PlaceName", targetNamespace = "http://www.webservicex.net")
        String placeName);

}
